summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson2017-06-07 09:38:03 +0200
committer Willy Sudiarto Raharjo2017-06-07 09:38:03 +0200
commit5683a396fe7bdc130067bf7d47f86c781e2febae (patch)
treea3a7ca827913050f46bea3b0b5f45ce0a3078426
parent07b2fd5dcef983385b7f933011aa495da4c5ec81 (diff)
downloadslackbuilds-5683a396fe7bdc130067bf7d47f86c781e2febae.tar.gz
games/open-adventure: Added (Colossal Cave Adventure).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--games/open-adventure/README12
-rw-r--r--games/open-adventure/open-adventure.SlackBuild91
-rw-r--r--games/open-adventure/open-adventure.info10
-rw-r--r--games/open-adventure/slack-desc19
4 files changed, 132 insertions, 0 deletions
diff --git a/games/open-adventure/README b/games/open-adventure/README
new file mode 100644
index 0000000000..cf936c0e78
--- /dev/null
+++ b/games/open-adventure/README
@@ -0,0 +1,12 @@
+advent (Colossal Cave Adventure, the 1995 430-point version)
+
+This is the last descendent of the original 1976 Colossal Cave Adventure
+worked on by the original authors - Crowther & Woods. It has sometimes
+been known as Adventure 2.5. The original PDP-10 name 'advent' is used
+to avoid collision with the bsd-games version.
+
+This code is a forward-port of the Crowther/Woods Adventure 2.5 from 1995,
+last version in the main line of Colossal Cave Adventure development
+written by the original authors. The authors have given permission and
+encouragement for this release. The file history.txt contains a more
+detailed history of this game and its ancestors.
diff --git a/games/open-adventure/open-adventure.SlackBuild b/games/open-adventure/open-adventure.SlackBuild
new file mode 100644
index 0000000000..28458126d4
--- /dev/null
+++ b/games/open-adventure/open-adventure.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for open-adventure
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=open-adventure
+VERSION=${VERSION:-1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+# Actual name of the program:
+EXE=advent
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION-*
+
+# Download URL uses content disposition to set the filename, so we have to
+# handle both possibilities here. I know how to avoid this with github
+# downloads, but not gitlab. Also, notice the * in the 2nd filename
+# (and in the 'cd' below): I'm *not* hard-coding the full git hash here.
+tar xvf $CWD/archive.tar.bz2\?ref=1.0 ||
+tar xvf $CWD/$PRGNAM-$VERSION-*.tar.bz2
+
+cd $PRGNAM-$VERSION-*
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# This thing is small enough that it's not worth trying to fix parallel
+# make. Plus, upstream's already fixed it in git, -j1 won't be needed for
+# the next release.
+make -j1 CCFLAGS="-std=c99 $SLKCFLAGS"
+make $EXE.6
+
+# no 'make install' target:
+mkdir -p $PKG/usr/games $PKG/usr/man/man6
+install -s -m0755 $EXE $PKG/usr/games/$EXE
+gzip -9c < $EXE.6 > $PKG/usr/man/man6/$EXE.6.gz
+
+# principle of least surprise:
+ln -s $EXE.6.gz $PKG/usr/man/man6/$PRGNAM.6.gz
+ln -s $EXE $PKG/usr/games/$PRGNAM
+
+# don't bother with advent.adoc, it's the man page.
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING NEWS README.adoc TODO h*.adoc $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+#cat $CWD/doinst.sh > $PKG/install/doinst.sh # someday I may make a .desktop file
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/open-adventure/open-adventure.info b/games/open-adventure/open-adventure.info
new file mode 100644
index 0000000000..eca2e5ea70
--- /dev/null
+++ b/games/open-adventure/open-adventure.info
@@ -0,0 +1,10 @@
+PRGNAM="open-adventure"
+VERSION="1.0"
+HOMEPAGE="https://gitlab.com/esr/open-adventure"
+DOWNLOAD="https://gitlab.com/esr/open-adventure/repository/archive.tar.bz2?ref=1.0"
+MD5SUM="889d762a40f8aa8f7866ec436dff301d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/games/open-adventure/slack-desc b/games/open-adventure/slack-desc
new file mode 100644
index 0000000000..274307e27e
--- /dev/null
+++ b/games/open-adventure/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+open-adventure: open-adventure (Colossal Cave Adventure, the 1995 430-point version)
+open-adventure:
+open-adventure: This is the last descendent of the original 1976 Colossal Cave
+open-adventure: Adventure worked on by the original authors - Crowther & Woods. It
+open-adventure: has sometimes been known as Adventure 2.5. The original PDP-10 name
+open-adventure: 'advent' is used to avoid collision with the bsd-games version.
+open-adventure:
+open-adventure:
+open-adventure:
+open-adventure:
+open-adventure: